curl -X POST "https://demo.api.vultlocal.com/api/v1/compliance/alerts" \
-H "Authorization: Bearer olive_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"subscriber_id": "sub_abc123",
"alert_type": "SUSPICIOUS_BEHAVIOR",
"details": "User attempted multiple PIN guesses at agent location"
}'
{
"success": true,
"message": "Alert created",
"alert_id": 101
}
Manually raise a compliance alert
curl -X POST "https://demo.api.vultlocal.com/api/v1/compliance/alerts" \
-H "Authorization: Bearer olive_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"subscriber_id": "sub_abc123",
"alert_type": "SUSPICIOUS_BEHAVIOR",
"details": "User attempted multiple PIN guesses at agent location"
}'
{
"success": true,
"message": "Alert created",
"alert_id": 101
}
Bearer olive_live_xxxSUSPICIOUS_BEHAVIOR, AGENT_REPORTcurl -X POST "https://demo.api.vultlocal.com/api/v1/compliance/alerts" \
-H "Authorization: Bearer olive_live_xxx" \
-H "Content-Type: application/json" \
-d '{
"subscriber_id": "sub_abc123",
"alert_type": "SUSPICIOUS_BEHAVIOR",
"details": "User attempted multiple PIN guesses at agent location"
}'
{
"success": true,
"message": "Alert created",
"alert_id": 101
}
API Key for third-party integrations (WhatsApp, Smart PAY, VULT). Format: 'Bearer olive_live_xxxxxxxxxxxxx'
Alert details
Created
The response is of type object.